Subject: Re: [PATCH] tcp: export symbol tcp_set_congestion_control

From: Christoph Hellwig <[email-masked]>
Date: Fri, 11 Mar 2022 08:19:30 +0100

On Thu, Mar 10, 2022 at 12:48:25PM -0800, Jakub Kicinski wrote:
> On Thu, 10 Mar 2022 21:48:30 +0800 Mingbao Sun wrote:
> > Since the kernel API 'kernel_setsockopt' was removed, and since the
> > function ‘tcp_set_congestion_control’ is just the real underlying guy
> > handling this job, so it makes sense to get it exported.
> 
> Do you happen to have a reference to the commit which removed
> kernel_setsockopt and the justification?  My knee jerk reaction
> would the that's a better path than allowing in-kernel socket users 
> to poke at internal functions even if that works as of today.

This was part of the set_fs() removal. Back then we decided we'd rather
have type-safe APIs for in-kernel users, which in total was a major
removal of code lines.